from setting import logger

from .handle_event import HandlerEvent
from .handle_paylist import HandlerPaylist
from .handle_user import HandlerUser

HANDLER_DICT = {
    b'user': HandlerUser,
    b'paylist': HandlerPaylist,
    b'event': HandlerEvent,
}


def handle_factory(key, data):
    obj = HANDLER_DICT.get(key)
    if not obj:
        logger.warning(f'未知类型{key}')
        return
    return obj(data)
